Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Get Request Status (/v2/crm/request-status)

Prev Next
Get
/v2/crm/request-status

Returns the current status of the request for endpoints run asynchronously:

  • POST /v2/crm/entities
  • DELETE /v2/crm/integrations

When accessed using a bearer token, this endpoint requires the 'api:crm:upload' scope.

Status Codes

  • PENDING: file is pending being processed
  • IN_PROGRESS: file is being processed
  • DONE: all objects in the file were successfully processed
  • FAILED: failed to parse some objects, or a general error occurred when the file was being processed

Correcting a file that failed to be processed:

When the status in the response is FAILED do one of the following:

  • If the response includes a list of errors, correct the errors in the file as follows:
    1. Using the errors.line attribute, locate and correct the data in the JSON file.
    2. You can resend the entire LDJSON file, or only the corrected records via the relevant API.
      Note: The response returns a maximum of 20 errors. To make sure you have corrected all errors, upload the entire file repeatedly until you receive a DONE status.
  • A single error in the form of:
    {"line":0,"description":"....."} indicates a general processing error:
    1. Fix the LDJSON file according to the error message.
    2. Upload the entire LDJSON file again.
Query parameters
integrationId
integer (int64) Required

Integration ID generated when creating the integration

clientRequestId
stringRequired

The client request ID used in the asynchronous endpoint you want to get a status for

Responses
200

Operation successful

Expand All
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
status
string

Request status

Valid values[ "PENDING", "IN_PROGRESS", "DONE", "FAILED" ]
ExampleFAILED
errors
Array of object (LineErrorResponse)
object
line
integer (int32)

Line number of failed object

Example49
description
string

Error description

ExampleMandatory field [objectId] is missing or empty
totalErrorCount
integer (int32)

Number of objects that failed parsing

Example3
totalSuccessCount
integer (int32)

Number of valid objects

Example97
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
429

API request limit exceeded

Headers
Retry-After
integer
Number of seconds to wait before making a new request.
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string